Next Commerce
Assets

Assets List

GET
/assets/

Authorization

oauth2 assets:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: assets:read

Query Parameters

cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"unstable"
Default"unstable"

Value in

  • "unstable"

Response Body

application/json

curl -X GET "https://example.com/assets/" \  -H "X-29next-API-Version: unstable"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "created_at": "2019-08-24T14:15:22Z",      "file": "http://example.com",      "id": 0,      "name": "string"    }  ]}